function visualizarExpediente(clave_pac) {
 
  var parametros = { "clave_pac": clave_pac};
  
  jqGetAjaxShort("getLstExpedientePacienteUnificar","resultadosContainer", parametros);
    $('#resultadosContainer').show(200);
    //  SmoothScrollTo('#resultadosContainer');
};

$(document).on('click', '#objBusquedaPacienteUnificar #objBuscarPaciente #resultadosContainer .tr_clave_pac_find .cmd_seleccionar_paciente', function () {       
	var clave_pac = '' + this.dataset.clave_pac;
	visualizarExpediente(clave_pac);

});

$(document).on('click', '#resultadosContainer #objExpedienteCorrecto  #btn_listar_notas', function () {

	jqGetAjaxShort("Consulta_revisarNotas","primary_Hoja_Frontal", {"clave_pac": this.dataset.clave_pac, "todas": '0'});
});
/*

  jqGetAjaxShort("archivo_busquedaPaciente","objBusquedaPacienteUnificar", {btnRegistrarPac: '0',
          opcEditarPac: '3',  opcNuevaCita: '0',});

  */
$(document).on('click', '#resultadosContainer #tblExpedientes_a_Unificar #btn_agregar_expe', function () {    

  jqGetAjax_Modal("buscarExpedienteIncorrecto","modalContent", {btnRegistrarPac: '0',
          opcEditarPac: '3',  opcNuevaCita: '0',} , 'defaultModal');
  //SmoothScrollTo('#primary_Hoja_Frontal');

});

$(document).on('click', '#objBusquedaPacienteExpeIncorrecto #resultadosExpedientesIncorrectos .tr_clave_pac_find .cmd_seleccionar_paciente', function () {    
  
        
      $('#defaultModal').modal('hide');  
       $tr = $(this);
     
      
        var clavePac_expeCorrecto = $('#objExpedienteCorrecto #txtClavePac').val();  
        var clave = $tr.data('clave_pac');
        var expediente = $tr.data('expediente');
        var curp = $tr.data('curp');
       	var nombre = $tr.data('nombre');
       	var primerAp = $tr.data('primerap');
       	var segundoAp = $tr.data('segundoap');
       	var totalCons = $tr.data('totalcons');
        var yaExiste=false; 
         
  		if(clavePac_expeCorrecto==clave){
           $.notify("El Expediente a unificar ya fue seleccionado como -Expediente Correcto-");
            return false;
		}
      
        $("#tablaprueba tr").find('td:eq(0)').each(function () {
           // obtenemos la clave del paciente de la celda
           clave_tr = $(this).html();
          //comparamos para ver si la clave es igual a la seleccionada
          if(clave_tr==clave){
            yaExiste=true;
           
           
          }
 
        });
 
        
        if(yaExiste){
           $.notify("El paciente ya fue seleccionado previamente");
            return false;
        }
 
       /* */
       var opciones =  '<br><span class="fa fa-check tirar2" title="Aceptar"></span> &nbsp; <span class="fa fa-times tirar"></span>';
     
        
        document.getElementById("tablaprueba").insertRow(-1).innerHTML = '<td class="numero">'+clave+'</td><td>'+expediente+'</td><td>'+curp+'</td><td>'+nombre+'</td><td>'+primerAp+'</td><td>'+segundoAp+'</td><td>'+totalCons+'</td><td style="text-align: center;"><a href="#" id="btn_verNotasAsociadas" name="btn_verNotasAsociadas" class="btn btn-primary btn-sm" data-clave_pac="'+clave+'"><span class="fa fa-file-text" aria-hidden="true" title="Notas Asociadas al Paciente"></span>&nbsp;</a> <a href="#" id="btn_EliminarPacListado" name="btn_EliminarPacListado" class="btn btn-danger btn-sm"><span class="fa fa-times" aria-hidden="true" title="Eliminar del listado"></span>&nbsp;</a></td>';
       /* $('#btn_listar_med').attr('disabled',true);   
        $('#btn_listar_med').addClass('disabled');    
       SmoothScrollTo('#final'); */

       $('#expeIncorrecto_Hoja_Frontal').addClass('hidden');
  });



$(document).on('click', '#tblExpedientes_a_Unificar #btn_EliminarPacListado', function (event) {
        event.preventDefault();
        $(this).closest('tr').remove();
      /* $('#btn_listar_med').attr('disabled',false);
       $('#btn_listar_med').removeClass('disabled'); */
  });

$(document).on('click', '#tblExpedientes_a_Unificar #btn_verNotasAsociadas', function (event) {
    var clave= $(this).parents("tr").find("td").eq(0).html();
     $('#expeIncorrecto_Hoja_Frontal').removeClass('hidden');
    jqGetAjaxShort("Consulta_revisarNotas","expeIncorrecto_Hoja_Frontal", {"clave_pac": clave, "todas": '0'});
	



  });

$(document).on('click', '#objPrincipal_ExpCorrecto #btnCollapse', function (event) {
	if ($('#objExpedienteCorrecto').is(':hidden')) {
   			 $('#objExpedienteCorrecto').removeClass('hidden');
	} else {
   		 $('#objExpedienteCorrecto').addClass('hidden');
	}

});



$(document).on('click', '#expeIncorrecto_Hoja_Frontal .btn', function (event) {
	if ($('#expeIncorrecto_Hoja_Frontal #objBuscarNotasPaciente').is(':hidden')) {
   		$('#expeIncorrecto_Hoja_Frontal #objBuscarNotasPaciente').removeClass('hidden');
	} else {
   		$('#expeIncorrecto_Hoja_Frontal #objBuscarNotasPaciente').addClass('hidden');
	}

	
});


$(document).on('click', '#primary_Hoja_Frontal .btn', function (event) {
	if ($('#primary_Hoja_Frontal #objBuscarNotasPaciente').is(':hidden')) {
   		$('#primary_Hoja_Frontal #objBuscarNotasPaciente').removeClass('hidden');
	} else {
   		$('#primary_Hoja_Frontal #objBuscarNotasPaciente').addClass('hidden');
	}

	
});

$(document).on('click', '#objOpciones #cancelar', function (event) {
	$('#objBuscarPaciente #resultadosContainer').empty();
	SmoothScrollTo('#objBusquedaPacienteUnificar');	
});

$(document).on('click', '#objOpciones #unificar', function (event) {
	var clavePac_expeCorrecto = $('#objExpedienteCorrecto #txtClavePac').val();  
	var valores = "";

	$(".numero").parent("tr").find(".numero").each(function() {

	        valores += $(this).html() + ",";
	    //}
	});

	valores = valores.substr(0, valores.length - 1);

	if (valores.length === 0){
		$.notify("No existen expedientes a unificar");
            return false;
	}
	jqGetAjax_Modal("confirmacionUnificarExpedientes","modalConfirmar", {clave_pac: clavePac_expeCorrecto,
          claves_pac_unificar: valores,} , 'exampleModal'); 	
});

$(document).on('click', '#confirmaUnificar', function (event) {
	var clavesA_Unificar = $('#exampleModal #h_claves_unificar').val(); 
	var claveCorrecta = $('#exampleModal #h_clave_correcta').val(); 
	$('#exampleModal').modal('hide');  
	var Centro_Sal = $('#h_centro_sal').val(); 
	var Id_Doc = $('#h_id_doc').val(); 

	//jqGetAjaxShort("up_unificarExpedientes","resultadosContainerUnificacion", {"clavesA_Unificar": clavesA_Unificar,"claveCorrecta": claveCorrecta, "Centro_Sal": Centro_Sal, "Id_Doc": Id_Doc});
	
	
	jqGetAjaxShort_execFn("up_unificarExpedientes","resultadosContainerUnificacion", {"clavesA_Unificar": clavesA_Unificar,"claveCorrecta": claveCorrecta, "Centro_Sal": Centro_Sal, "Id_Doc": Id_Doc}, 
            " var valor = $('#resultadosContainerUnificacion #hError').val(); if(valor == '0'){ $('#objBusquedaPacienteUnificar #resultadosContainer').hide();  $.notify('Los Expedientes han sido unificados', 'info');   } ");
	 

});




 






